Assign vendor
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dateDue": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor"
payload = { "dateDue": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dateDue: '2023-11-07T05:31:56Z'})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Assign vendor
To unassign Vendor from Project, use empty body:
{}
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
assignVendor
Assign vendor
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
Vendor assignment; use empty body to unassign
Response
No Content
Was this page helpful?
⌘I